Cypher-shell compatibility

I am using neo4j 3.4.1 on a RHEL server and wish to download and install a compatible version of the cypher-shell rpm. But on the downloads page I only see versions 1.1.13, 4.0.5 and 4.1.0 of cypher-shell, and no compatibility matrix. Which, if any, will work with my environment ? Thanks.

Just to be clear, it is version 3.4.1, enterprise edition.

take a look here

https://neo4j.com/docs/operations-manual/current/installation/requirements/

I normally run neo4j in docker which eliminates most (or all?) of the dependency concerns, that said I have run neo4j on a variety of OS hosts including multiple flavors of UNIX (but not RHEL), and my main concern was always with Java.

Hi Joel. Thanks for the reply, but the link you provided gives no mention of cypher-shell or its compatibility with versions of neo4j enterprise.

Just to be clear, I already have neo4j 3.4.1 enterprise up and running on RHEL and need to know which version of cypher-shell I can download and use with it.

Hi Steve,

Yes, sorry I had assumed you didn't have neo4j working, because cypher-shell installs with it.

From https://neo4j.com/docs/operations-manual/current/tools/cypher-shell/
"Cypher Shell is a command-line tool that comes with the Neo4j installation. It can also be downloaded from Neo4j Download Center and installed separately."

From the download page it looks like 1.1.13 is the only pre-4.x version available.

I checked and can confirm that neo4j server 3.5.17-enterprise came with Cypher-Shell 1.1.13

$ docker ps --format="table {{.Names}}\t{{.Image}}\t{{.Status}}"
NAMES               IMAGE                     STATUS
neo.test            neo4j:3.5.17-enterprise   Up 6 days

$ docker exec -it neo.test bash
I have no name!@fe8fe45ba7a2:/var/lib/neo4j$ cypher-shell --version
Cypher-Shell 1.1.13

Hi Joel,

The neo4j I am using came packaged as part of a bigger product and did not include cypher-shell, hence why I am planning to add it.

Thanks for the guidance - I will go with v1.1.13.

Regards,

Steve